;--------------------------------------------------------------------
; Description:
; The subroutine is called to clear out the sprite buffer.
; 
; VARIABLES:
; **********************************************************************************
; BUF.Sprites	defines the location of the sprite buffer, typically set at $0200-02FF in the CPU RAM.
; **********************************************************************************
;
; No loading work is necessary. 

LBL.ResetSprites:
  ; Filling the sprite buffer with #$FF is necessary because it puts all the sprites off-screen.
  LDA #$FF
  LDX #00
LBL.ResetSprites.Loop:
  STA BUF.Sprites, X
  INX
  BNE LBL.ResetSprites.Loop
RTS